Loading...
Searching...
No Matches
rpcbasic_inserter< T, Tfrom > Class Template Reference

Templated parent class for registering a ControlPort Inserter. More...

`#include <gnuradio/rpcregisterhelpers.h>`

## Public Member Functions

| rpcbasic_inserter (T *source, Tfrom(T::*func)() const)
| rpcbasic_inserter (T *source, Tfrom(T::*func)())
pmt::pmt_t | retrieve ()
| send `msg` to `msg_producer`
Public Member Functions inherited from rpcinserter_base< T, Tfrom >
| rpcinserter_base (T *source, Tfrom(T::*func)())
| rpcinserter_base ()
pmt::pmt_t | retrieve () override
| send `msg` to `msg_producer`
Public Member Functions inherited from gr::messages::msg_producer
| msg_producer ()
virtual | ~msg_producer ()

## Additional Inherited Members

Protected Attributes inherited from rpcinserter_base< T, Tfrom >
T * | _source
Tfrom(T::* | _func )()

## Detailed Description

template<typename T, typename Tfrom>
class rpcbasic_inserter< T, Tfrom >

Templated parent class for registering a ControlPort Inserter.

## Constructor & Destructor Documentation

## rpcbasic_inserter() [1/2]

template<typename T, typename Tfrom>

rpcbasic_inserter< T, Tfrom >::rpcbasic_inserter | ( | T * | source,
|  | Tfrom(T::* | func )() const )

inline

References rpcinserter_base< T, Tfrom >::rpcinserter_base().

## rpcbasic_inserter() [2/2]

template<typename T, typename Tfrom>

rpcbasic_inserter< T, Tfrom >::rpcbasic_inserter | ( | T * | source,
|  | Tfrom(T::* | func )() )

inline

References rpcinserter_base< T, Tfrom >::rpcinserter_base().

## Member Function Documentation

## retrieve()

template<typename T, typename Tfrom>

pmt::pmt_t rpcbasic_inserter< T, Tfrom >::retrieve | ( |  | ) |

inline virtual

send `msg` to `msg_producer`

Implements gr::messages::msg_producer.

References rpcinserter_base< T, Tfrom >::_func, rpcinserter_base< T, Tfrom >::_source, and pmt::mp().

The documentation for this class was generated from the following file:

- rpcregisterhelpers.h